Skip to main content
`Ctrl`+`K`

# lognormal_distribution< RealType > Class Template Reference

# lognormal_distribution&lt; RealType &gt; Class Template Reference

API library: rocrand_cpp::lognormal_distribution< RealType > Class Template Reference
Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
rocrand_cpp::lognormal_distribution< RealType > Class Template Reference
rocRAND host API C++ Wrapper

Produces positive random numbers according to a log-normal distribution. More...

`#include <rocrand.hpp>`

## Classes

class | param_type
| The type of the distribution parameter set. More...

## Public Types

typedef RealType | result_type
| See description for RealType template parameter.

## Public Member Functions

| lognormal_distribution (RealType m=0.0, RealType s=1.0)
| Constructs a new distribution object.
| lognormal_distribution (const param_type &params)
| Constructs a new distribution object.
RealType | m () const
| Returns the mean distribution parameter.
RealType | s () const
| Returns the standard deviation distribution parameter.
param_type | param () const
| Returns the distribution parameter object.
void | param (const param_type &params)
| Sets the distribution parameter object.
template<class Generator>
void | operator() (Generator &g, RealType *output, size_t size)
| Fills `output` with log-normally distributed random floating-point values.
bool | operator== (const lognormal_distribution< RealType > &other) const
| Returns `true` if the distribution is the same as `other`.
bool | operator!= (const lognormal_distribution< RealType > &other) const
| Returns `true` if the distribution is different from `other`.

## Static Public Member Functions

static void | reset ()
| Resets distribution's internal state if there is any.
static constexpr RealType | min ()
| Returns the smallest possible value that can be generated.
static RealType | max ()
| Returns the largest possible value that can be generated.

## Detailed Description

template<class RealType = float>
class rocrand_cpp::lognormal_distribution< RealType >

Produces positive random numbers according to a log-normal distribution.

Template Parameters

  RealType | type of generated values. Only `float`, `double` and `half` types are supported.

## Constructor & Destructor Documentation

## ◆ lognormal_distribution() [1/2]

template<class RealType = float>

rocrand_cpp::lognormal_distribution< RealType >::lognormal_distribution | ( | RealType | m = 0.0,
|  | RealType | s = 1.0 )

inline

Constructs a new distribution object.

Parameters

  m | A mean distribution parameter
  s | A standard deviation distribution parameter

## ◆ lognormal_distribution() [2/2]

template<class RealType = float>

rocrand_cpp::lognormal_distribution< RealType >::lognormal_distribution | ( | const param_type & | params | ) |

inline explicit

Constructs a new distribution object.

Parameters

  params | Distribution parameters

## Member Function Documentation

## ◆ m()

template<class RealType = float>

RealType rocrand_cpp::lognormal_distribution< RealType >::m | ( |  | ) | const

inline

Returns the mean distribution parameter.

The mean specifies the location of the peak. The default value is 0.0.

## ◆ operator!=()

template<class RealType = float>

bool rocrand_cpp::lognormal_distribution< RealType >::operator!= | ( | const lognormal_distribution< RealType > & | other | ) | const

inline

Returns `true` if the distribution is different from `other`.

Two distribution are equal, if their parameters are equal.

## ◆ operator()()

template<class RealType = float>
template<class Generator>

void rocrand_cpp::lognormal_distribution< RealType >::operator() | ( | Generator & | g,
|  | RealType * | output,
|  | size_t | size )

inline

Fills `output` with log-normally distributed random floating-point values.

Generates `size` random floating-point values (greater than zero) distributed according to a log-normal distribution, and stores them into the device memory referenced by `output` pointer.

Parameters

  g | An uniform random number generator object
  output | Pointer to device memory to store results
  size | Number of values to generate

Requirements:

- The device memory pointed by `output` must have been previously allocated and be large enough to store at least `size` values of `RealType` type.
- Pointer `output` must be aligned to 2 * sizeof(RealType) bytes.
- `size` must be even.
- If generator `g` is a quasi-random number generator (rocrand_cpp::sobol32_engine), then `size` must be a multiple of that generator's dimension.

See also: rocrand_generate_log_normal(), rocrand_generate_log_normal_double()

## ◆ operator==()

template<class RealType = float>

bool rocrand_cpp::lognormal_distribution< RealType >::operator== | ( | const lognormal_distribution< RealType > & | other | ) | const

inline

Returns `true` if the distribution is the same as `other`.

Two distribution are equal, if their parameters are equal.

## ◆ s()

template<class RealType = float>

RealType rocrand_cpp::lognormal_distribution< RealType >::s | ( |  | ) | const

inline

Returns the standard deviation distribution parameter.

The default value is 1.0.

The documentation for this class was generated from the following file:

- /build/rocrand-D7zBeW/rocrand-7.2.4/library/include/rocrand/rocrand.hpp